Bug 732202 - sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight'
Summary: sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:02.0/drm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 16:46 UTC by Tom London
Modified: 2011-08-28 05:37 UTC (History)
5 users (show)

Fixed In Version: kernel-3.1.0-0.rc3.git0.0.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-28 05:37:29 UTC


Attachments (Terms of Use)
Output of 'dmesg' (90.60 KB, text/plain)
2011-08-20 16:46 UTC, Tom London
no flags Details

Description Tom London 2011-08-20 16:46:51 UTC
Created attachment 519151 [details]
Output of 'dmesg'

Description of problem:
Seeing the below in dmesg output.  Attaching complete output of dmesg.

[    6.089954] WARNING: at fs/sysfs/dir.c:455 sysfs_add_one+0x97/0xab()
[    6.090089] Hardware name: 74585FU
[    6.090196] sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight'
[    6.090377] Modules linked in: i915(+) drm_kms_helper drm i2c_algo_bit i2c_core video
[    6.090841] Pid: 131, comm: modprobe Not tainted 3.1.0-0.rc2.git7.1.fc17.x86_64 #1
[    6.091030] Call Trace:
[    6.091138]  [<ffffffff8105c528>] warn_slowpath_common+0x83/0x9b
[    6.091248]  [<ffffffff8105c5e3>] warn_slowpath_fmt+0x46/0x48
[    6.091358]  [<ffffffff811a1e38>] sysfs_add_one+0x97/0xab
[    6.091466]  [<ffffffff811a1ec0>] create_dir+0x74/0xad
[    6.091575]  [<ffffffff811a1faa>] sysfs_create_dir+0x90/0xa7
[    6.091686]  [<ffffffff81249885>] kobject_add_internal+0x120/0x1e3
[    6.091797]  [<ffffffff8108f59a>] ? debug_check_no_locks_freed+0x11b/0x130
[    6.091909]  [<ffffffff81249cc2>] kobject_add+0x91/0xa2
[    6.092040]  [<ffffffff813142ef>] device_add+0xff/0x5a8
[    6.092150]  [<ffffffff8131f475>] ? pm_runtime_init+0x106/0x10a
[    6.092260]  [<ffffffff813147b3>] device_register+0x1b/0x1f
[    6.092371]  [<ffffffff81292a34>] backlight_device_register+0x130/0x1a0
[    6.092510]  [<ffffffffa009acd4>] intel_panel_setup_backlight+0x7d/0xd2 [i915]
[    6.092703]  [<ffffffffa00902d9>] intel_modeset_init+0xd62/0xe73 [i915]
[    6.092827]  [<ffffffffa006e35e>] i915_driver_load+0x8f4/0xdc0 [i915]
[    6.092938]  [<ffffffff813147b3>] ? device_register+0x1b/0x1f
[    6.093105]  [<ffffffffa0027b6a>] drm_get_pci_dev+0x170/0x26c [drm]
[    6.093234]  [<ffffffffa00a47df>] i915_pci_probe+0x1b/0x1d [i915]
[    6.093346]  [<ffffffff8126c68f>] local_pci_probe+0x44/0x75
[    6.093458]  [<ffffffff8126d215>] pci_device_probe+0xd0/0xff
[    6.093569]  [<ffffffff81316b97>] driver_probe_device+0x131/0x213
[    6.093680]  [<ffffffff81316cd7>] __driver_attach+0x5e/0x82
[    6.093791]  [<ffffffff81316c79>] ? driver_probe_device+0x213/0x213
[    6.093903]  [<ffffffff81315bd8>] bus_for_each_dev+0x59/0x8f
[    6.094043]  [<ffffffff8131676b>] driver_attach+0x1e/0x20
[    6.094154]  [<ffffffff81316383>] bus_add_driver+0xd4/0x22a
[    6.094264]  [<ffffffff8131719a>] driver_register+0x98/0x105
[    6.094374]  [<ffffffff8126dae8>] __pci_register_driver+0x66/0xd2
[    6.094491]  [<ffffffffa0027cf0>] drm_pci_init+0x8a/0xef [drm]
[    6.094602]  [<ffffffffa00cf000>] ? 0xffffffffa00cefff
[    6.094723]  [<ffffffffa00cf08b>] i915_init+0x8b/0x8d [i915]
[    6.094834]  [<ffffffff81002099>] do_one_initcall+0x7f/0x13a
[    6.094943]  [<ffffffffa00cf000>] ? 0xffffffffa00cefff
[    6.095078]  [<ffffffff8109a5ac>] sys_init_module+0x114/0x267
[    6.095190]  [<ffffffff8150af82>] system_call_fastpath+0x16/0x1b
[    6.095300] ---[ end trace 42c59cfb82f460f5 ]---
[    6.095470] kobject_add_internal failed for intel_backlight with -EEXIST, don't try to register things with the same name in the same directory.
[    6.095651] Pid: 131, comm: modprobe Tainted: G        W   3.1.0-0.rc2.git7.1.fc17.x86_64 #1
[    6.095823] Call Trace:
[    6.095930]  [<ffffffff81249916>] kobject_add_internal+0x1b1/0x1e3
[    6.096062]  [<ffffffff8108f59a>] ? debug_check_no_locks_freed+0x11b/0x130
[    6.096175]  [<ffffffff81249cc2>] kobject_add+0x91/0xa2
[    6.096285]  [<ffffffff813142ef>] device_add+0xff/0x5a8
[    6.096395]  [<ffffffff8131f475>] ? pm_runtime_init+0x106/0x10a
[    6.096505]  [<ffffffff813147b3>] device_register+0x1b/0x1f
[    6.096614]  [<ffffffff81292a34>] backlight_device_register+0x130/0x1a0
[    6.096744]  [<ffffffffa009acd4>] intel_panel_setup_backlight+0x7d/0xd2 [i915]
[    6.096932]  [<ffffffffa00902d9>] intel_modeset_init+0xd62/0xe73 [i915]
[    6.097096]  [<ffffffffa006e35e>] i915_driver_load+0x8f4/0xdc0 [i915]
[    6.097206]  [<ffffffff813147b3>] ? device_register+0x1b/0x1f
[    6.097324]  [<ffffffffa0027b6a>] drm_get_pci_dev+0x170/0x26c [drm]
[    6.097450]  [<ffffffffa00a47df>] i915_pci_probe+0x1b/0x1d [i915]
[    6.097560]  [<ffffffff8126c68f>] local_pci_probe+0x44/0x75
[    6.097669]  [<ffffffff8126d215>] pci_device_probe+0xd0/0xff
[    6.097779]  [<ffffffff81316b97>] driver_probe_device+0x131/0x213
[    6.097889]  [<ffffffff81316cd7>] __driver_attach+0x5e/0x82
[    6.098017]  [<ffffffff81316c79>] ? driver_probe_device+0x213/0x213
[    6.098129]  [<ffffffff81315bd8>] bus_for_each_dev+0x59/0x8f
[    6.098239]  [<ffffffff8131676b>] driver_attach+0x1e/0x20
[    6.098349]  [<ffffffff81316383>] bus_add_driver+0xd4/0x22a
[    6.098459]  [<ffffffff8131719a>] driver_register+0x98/0x105
[    6.098570]  [<ffffffff8126dae8>] __pci_register_driver+0x66/0xd2
[    6.098687]  [<ffffffffa0027cf0>] drm_pci_init+0x8a/0xef [drm]
[    6.098797]  [<ffffffffa00cf000>] ? 0xffffffffa00cefff
[    6.098917]  [<ffffffffa00cf08b>] i915_init+0x8b/0x8d [i915]
[    6.099052]  [<ffffffff81002099>] do_one_initcall+0x7f/0x13a
[    6.099166]  [<ffffffffa00cf000>] ? 0xffffffffa00cefff
[    6.099277]  [<ffffffff8109a5ac>] sys_init_module+0x114/0x267
[    6.099390]  [<ffffffff8150af82>] system_call_fastpath+0x16/0x1b
[    6.099527] [drm:intel_panel_setup_backlight] *ERROR* Failed to register backlight: -17
[    6.406979] fbcon: inteldrmfb (fb0) is primary device



Version-Release number of selected component (if applicable):
kernel-3.1.0-0.rc2.git7.1.fc17.x86_64

How reproducible:
Every boot

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Josh Boyer 2011-08-22 17:29:15 UTC
Dave reported this upstream: https://lkml.org/lkml/2011/8/17/163

Comment 2 Josh Boyer 2011-08-22 19:53:50 UTC
A patch has been posted to fix this.  I'll get it committed and built.

Comment 3 Fedora Update System 2011-08-23 11:04:56 UTC
kernel-3.1.0-0.rc3.git0.0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc3.git0.0.fc16

Comment 4 Fedora Update System 2011-08-23 13:31:00 UTC
Package kernel-3.1.0-0.rc3.git0.0.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.0-0.rc3.git0.0.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc3.git0.0.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-28 05:36:42 UTC
kernel-3.1.0-0.rc3.git0.0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.